## dde-appearance 1.1.33

=== misc/CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

add_subdirectory(systemd)
add_subdirectory(dconfig)
add_subdirectory(dbusservice)
add_subdirectory(data)
add_subdirectory(translations)

=== debian/changelog ===
dde-appearance (1.1.33) unstable; urgency=medium

  * chore: 解决注销或者重启后外观变成自动的问题 

 -- fuleyi <fuleyi@uniontech.com>  Mon, 12 Aug 2024 16:51:37 +0800

dde-appearance (1.1.32) unstable; urgency=medium

  * fix: incorrect generated fontconfig configuration
  * chore: 解决开机壁纸自动变更的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 08 Aug 2024 15:14:25 +0800

dde-appearance (1.1.31) unstable; urgency=medium

  * fix: notify kwin to reload the config when sync config(Issue: 10016)

 -- Zhang kun <zhangkun2@uniontech.com>  Tue, 06 Aug 2024 15:59:16 +0800

dde-appearance (1.1.30) unstable; urgency=medium

  * fix: Cursor images are not scaled to the same size(Issue: 9892)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 Jul 2024 15:33:31 +0800

dde-appearance (1.1.29) unstable; urgency=medium

  * release 1.1.29

 -- zorowk <near.kingzero@gmail.com>  Mon, 03 jul 2024 10:03:57 +0800

dde-appearance (1.1.28) unstable; urgency=medium

  * release 1.1.28

 -- Mike Chen <chenke@deepin.org>  Mon, 20 May 2024 13:15:56 +0800

dde-appearance (1.1.27) unstable; urgency=medium

  * fix: it doesn't work immediately

 -- Wang Fei <wangfei@deepin.org>  Thu, 25 Apr 2024 13:32:54 +0800

dde-appearance (1.1.26) unstable; urgency=medium

  * fix: deepinwmfaker read error cursorSize

 -- rewine <luhongxu@deepin.org>  Thu, 07 Mar 2024 10:42:56 +0800

dde-appearance (1.1.25) unstable; urgency=medium

  * feat: add signal for deepin fakewm

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 25 Jan 2024 10:09:27 +0800

dde-appearance (1.1.24) unstable; urgency=medium

  * fix: emit themechange again when themetype changed(https://github.com/linuxdeepin/developer-center/issues/7047)

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 23 Jan 2024 16:40:49 +0800

dde-appearance (1.1.23) unstable; urgency=medium

  * fix: first start, init for too long time

 -- chenhongtao <chenhongtao@deepin.org>  Wed, 17 Jan 2024 16:55:34 +0800

dde-appearance (1.1.22) unstable; urgency=medium

  *  fix: globaltheme will set to before one

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 16 Jan 2024 17:34:39 +0800

dde-appearance (1.1.21) unstable; urgency=medium

  * fix: should init before regist the dbus service

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 15 Jan 2024 14:44:56 +0800

dde-appearance (1.1.20) unstable; urgency=medium

  * chore: use qt tools to generate adaptor
  * chore: tidy up the workflow, fix the issue that wallpaper be set wrong

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 08 Jan 2024 10:10:08 +0800

dde-appearance (1.1.9) unstable; urgency=medium

  feat: add window keybindings

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 25 Dec 2023 10:47:48 +0800

dde-appearance (1.1.8) unstable; urgency=medium

  * fix: fakewm block with kwin when be invoked
  * chore: fix a typo in fakewm/main.cpp

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 12 Dec 2023 13:16:25 +0800

dde-appearance (1.1.7) unstable; urgency=medium

  * chore: auto set theme feature is missing
  * fix: remove unused dtkwidget devel builddep from debian/control
  * chore: split deepinwmfaker

 -- dengbo <dengbo@deepin.org>  Fri, 24 Nov 2023 13:58:50 +0800

dde-appearance (1.1.6) unstable; urgency=medium

  * chore: bring back first notification
  * chore: commit gtk cursor module
  * chore: update translations

 -- dengbo <dengbo@deepin.org>  Wed, 06 Sep 2023 15:19:15 +0800

dde-appearance (1.1.5) unstable; urgency=medium

  * adjust the registing orders of services, put wm service front
  * fix: systemd start after dde-session
  * chore: remove useless log
  * fix persionlization cannot get dart front png
  * use full path to set background picture

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 14 Aug 2023 13:14:20 +0800

dde-appearance (1.1.4) unstable; urgency=medium

  * fix: get workSapce count when set wallpapers

 -- dengbo <dengbo@deepin.org>  Wed, 12 Jul 2023 16:13:20 +0800

dde-appearance (1.1.3) unstable; urgency=medium

  * fix: wrong GlobalTheme value after auto switching dark mode
  * fix: wayland can't set wallpaper
  * fix: fix: background should refresh after set background

 -- dengbo <dengbo@deepin.org>  Wed, 05 Jul 2023 11:08:40 +0800

dde-appearance (1.1.2) unstable; urgency=medium

  * check the dbus register
  * move custom theme config from .cache to .config

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 12 Jun 2023 13:19:58 +0800

dde-appearance (1.1.1) unstable; urgency=medium

  * add Conflicts: dde-kwin.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 16 May 2023 11:19:58 +0800

dde-appearance (1.1.0) unstable; urgency=medium

  * fix: 控制中心不显示窗管相关快捷键
  * chore: remove deepin- prefix
  * fix: alpha 升级到beta 设置壁纸白屏

 -- dengbo <dengbo@uniontech.com>  Thu, 11 May 2023 17:38:50 +0800

dde-appearance (1.0.9) unstable; urgency=medium

  * fix: wrong systemd type
  * fix: 切换主题外观桌面壁纸被替换
  * fix: error form font to json
  * fix: folder not be created and font not setted

 -- dengbo <dengbo@uniontech.com>  Sat, 6 May 2023 10:21:50 +0800

dde-appearance (1.0.8) unstable; urgency=medium

  * fix: 桌面无法设置壁纸

 -- dengbo <dengbo@uniontech.com>  Sun, 23 Apr 2023 17:53:20 +0800

dde-appearance (1.0.7) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * chore: merge deepin-wm-dbus

 -- dengbo <dengbo@uniontech.com>  Mon, 3 Apr 2023 14:38:15 +0800

dde-appearance (1.0.6) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * release dde-appearance 1.0.6

 -- dengbo <dengbo@uniontech.com>  Fri, 31 Mar 2023 11:26:15 +0800

dde-appearance (1.0.5) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: wrong format of fontconfig file
  * fix: 控制中心设置主题壁纸没有跟随改变
  * fix: reset ApplicationName as org.deepin.dde.appearance
  * fix: 调用DBus接口恢复个性化设置失效

 -- dengbo <dengbo@uniontech.com>  Wed, 29 Mar 2023 14:28:42 +0800

dde-appearance (1.0.4.1) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 新建工作区时随机给一个壁纸(Bug: 181837)(Influence: 新建工作区-壁纸变化)
  * fix: 修改主题缩略图模糊问题(Bug: 182545)(Influence: 屏幕缩放不为1时，控制中心-个性化-图标主题-缩略图)


## dde-appearance 1.1.36

=== misc/systemd/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)

if (NOT DEFINED SYSTEMD_USER_UNIT_DIR)
    pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemduserunitdir)
endif()

macro(install_symlink filepath wantsdir)
    file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/link/${wantsdir}/)
    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${SYSTEMD_USER_UNIT_DIR}/${filepath} ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath})
    install(FILES ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath} DESTINATION ${SYSTEMD_USER_UNIT_DIR}/${wantsdir}/)
endmacro(install_symlink)

configure_file(
    ${CMAKE_CURRENT_LIST_DIR}/dde-appearance.service.in
    dde-appearance.service
    @ONLY
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dde-appearance.service DESTINATION ${SYSTEMD_USER_UNIT_DIR})

install_symlink(dde-appearance.service dde-session-initialized.target.wants)

=== debian/changelog ===
dde-appearance (1.1.36) unstable; urgency=medium

  * Release 1.1.36
  * feat: Compact mode does not affect the font setting range

 -- Zhang Kun <zhangkun2@uniontech.com>  Fri, 25 Oct 2024 18:18:04 +0800

dde-appearance (1.1.35) unstable; urgency=medium

  * feat: 添加紧凑模式属性

 -- Zhang Kun <zhangkun2@uniontech.com>  Wed, 25 Sep 2024 16:11:58 +0800

dde-appearance (1.1.34) unstable; urgency=medium

  * chore: 解决快捷键无法恢复的问题
  * Revert "chore: 解决快捷键无法恢复的问题"

 -- fuleyi <fuleyi@uniontech.com>  Thu, 22 Aug 2024 11:08:54 +0800

## dde-appearance 1.1.37

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.11)

project(dde-appearance)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()
include(GNUInstallDirs)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Werror=return-type -fno-omit-frame-pointer -Wextra")
endif()

add_subdirectory(src)
add_subdirectory(misc)
add_subdirectory(fakewm)

=== misc/dbusservice/CMakeLists.txt ===
configure_file(
  com.deepin.wm.service.in
  com.deepin.wm.service
  ONLY
)
configure_file(
  org.deepin.dde.Appearance1.service.in
  org.deepin.dde.Appearance1.service
  ONLY
)

set(DBUS_SERVICE_FILES
  ${CMAKE_CURRENT_BINARY_DIR}/com.deepin.wm.service
  ${CMAKE_CURRENT_BINARY_DIR}/org.deepin.dde.Appearance1.service
)

install(FILES ${DBUS_SERVICE_FILES} DESTINATION share/dbus-1/services/)

=== src/service/CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

add_compile_options(-DQT_NO_KEYWORDS)

find_package(Qt5 REQUIRED COMPONENTS Core DBus Concurrent Gui)
find_package(DtkCore REQUIRED)
find_package(DtkGui REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(KF5Config REQUIRED)
find_package(KF5WindowSystem REQUIRED)
find_package(KF5GlobalAccel REQUIRED)

pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
pkg_check_modules(Gio-2.0 REQUIRED IMPORTED_TARGET gio-2.0)
pkg_check_modules(X11 REQUIRED IMPORTED_TARGET xcursor xfixes x11)
pkg_check_modules(GTK3 REQUIRED IMPORTED_TARGET gtk+-3.0 gdk-3.0)
pkg_check_modules(XCB REQUIRED IMPORTED_TARGET xcb-render xcb xcb-randr xcb-cursor)
pkg_check_modules(FONTCONFIG REQUIRED IMPORTED_TARGET fontconfig)
pkg_check_modules(OPENSSL REQUIRED IMPORTED_TARGET openssl)

add_definitions(-DUSE_QT)

qt5_add_dbus_adaptor(ADAPTER_SOURCES
                     ../../dbus/org.deepin.dde.Appearance1.xml
                     ./dbus/appearance1.h
                     Appearance1)


set(SRCS
    ./main.cpp
    ./dbus/scaleFactors.h
    ./dbus/scaleFactors.cpp
    ./dbus/appearancedbusproxy.h
    ./dbus/appearancedbusproxy.cpp
    ./dbus/appearanceproperty.h
    ./dbus/appearanceproperty.cpp
    ./dbus/appearance1thread.h
    ./dbus/appearance1thread.cpp
    ./dbus/appearance1.h
    ./dbus/appearance1.cpp
    ./impl/appearancemanager.h
    ./impl/appearancemanager.cpp
    ./impl/fsnotify.h
    ./impl/fsnotify.cpp
    ./impl/appearancesyncconfig.h
    ./impl/appearancesyncconfig.cpp
    ./impl/wallpaperscheduler.h
    ./impl/wallpaperscheduler.cpp
    ./modules/background/background.h
    ./modules/background/background.cpp
    ./modules/fonts/fontsmanager.h
    ./modules/fonts/fontsmanager.cpp
    ./modules/subthemes/subthemes.h
    ./modules/subthemes/subthemes.cpp
    ./modules/subthemes/scanner.h
    ./modules/subthemes/scanner.cpp
    ./modules/subthemes/theme.h
    ./modules/subthemes/theme.cpp
    ./modules/subthemes/customtheme.h
    ./modules/subthemes/customtheme.cpp
    ./modules/api/themes.h
    ./modules/api/themes.cpp
    ./modules/api/keyfile.cpp
    ./modules/api/keyfile.h
    ./modules/api/locale.h
    ./modules/api/locale.cpp
    ./modules/api/themethumb.h
    ./modules/api/themethumb.cpp
    ./modules/api/dfile.h
    ./modules/api/dfile.cpp
    ./modules/api/utils.h
    ./modules/api/utils.cpp
    ./modules/api/syncconfig.h
    ./modules/api/syncconfig.cpp
    ./modules/api/sunrisesunset.h
    ./modules/api/sunrisesunset.cpp
    ./modules/api/compatibleengine.h
    ./modules/api/compatibleengine.cpp
    ./modules/background/format.h
    ./modules/background/format.cpp
    ./modules/background/backgrounds.cpp
    ./modules/background/backgrounds.h
    ./modules/common/commondefine.h
    ./modules/dconfig/dconfigsettings.h
    ./modules/dconfig/dconfigsettings.cpp
    ./modules/dconfig/phasewallpaper.h
    ./modules/dconfig/phasewallpaper.cpp
    ${ADAPTER_SOURCES}
)

add_executable(dde-appearance
    ${SRCS}
)

target_link_libraries(dde-appearance
    Qt5::Core
    Qt5::DBus
    Qt5::Concurrent
    Qt5::Gui
    PkgConfig::QGSettings
    PkgConfig::Gio-2.0
    PkgConfig::GTK3
    PkgConfig::X11
    PkgConfig::XCB
    PkgConfig::OPENSSL
    PkgConfig::FONTCONFIG
    ${DtkCore_LIBRARIES}
    ${DtkGui_LIBRARIES}
)

install(TARGETS dde-appearance DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
dde-appearance (1.1.37) unstable; urgency=medium

  * fix: active colors are same in different themes

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 13 Nov 2024 14:54:46 +0800

=== debian/control ===
Source: dde-appearance
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9),
   cmake,
   pkg-config,
   qtbase5-dev,
   libdtkcore-dev,
   libdtkgui-dev,
   libpolkit-qt5-1-dev,
   libgdk-pixbuf2.0-0,
   libgsettings-qt-dev,
   libglib2.0-dev,
   libxcursor-dev,
   libgtk-3-dev,
   libxcb1-dev,
   libxcb-cursor-dev,
   libxcb-randr0-dev,
   libxcb-render0-dev,
   qttools5-dev-tools,
   libssl-dev,
   libkf5globalaccel-dev,
   libkf5windowsystem-dev,
   libkf5config-dev,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-appearance
Architecture: any
Depends:
   ${misc:Depends},
   ${shlibs:Depends},
Conflicts: dde-kwin
Description: deepin desktop-environment - dde-appearance module
 dde appearance Provides application resource management and control services for the dde desktop environment.

## dde-appearance 1.1.38

=== fakewm/CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

include(FindPkgConfig)
find_package(PkgConfig REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Core DBus Concurrent Gui)
find_package(DtkCore REQUIRED)
find_package(DtkGui REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(KF5Config REQUIRED)
find_package(KF5WindowSystem REQUIRED)
find_package(KF5GlobalAccel REQUIRED)
find_package(Dtk REQUIRED COMPONENTS Core)

pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)

set(SRCS
  ./dbus/deepinwmfaker.h
  ./dbus/deepinwmfaker.cpp
  main.cpp
)

qt5_add_dbus_adaptor(
    wm_SRCS
    ../dbus/com.deepin.wm.xml
    ./dbus/deepinwmfaker.h
    DeepinWMFaker
)

add_executable(dde-fakewm
    ${SRCS}
    ${wm_SRCS}
)

target_link_libraries(dde-fakewm
    Qt5::Core
    Qt5::DBus
    Qt5::Concurrent
    Qt5::Gui
    KF5::ConfigCore
    KF5::WindowSystem
    KF5::GlobalAccel
    PkgConfig::QGSettings
    Dtk::Core
)

install(TARGETS dde-fakewm DESTINATION ${CMAKE_INSTALL_BINDIR})

=== misc/data/CMakeLists.txt ===
set(DATA_FILES
    custom.svg
)

install(FILES ${DATA_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-appearance/)

=== debian/changelog ===
dde-appearance (1.1.38) unstable; urgency=medium

  * fix: active color are invalid in different global theme
  * fix: Quickly adjusting transparency may cause it to get stuck (#163)

 -- Wang Fei <wangfei@deepin.org>  Fri, 13 Dec 2024 14:05:44 +0800

## dde-appearance 1.1.61

=== debian/changelog ===
dde-appearance (1.1.61) unstable; urgency=medium

  * feat: Starting no longer initializes' Wallpaper-Uris' and
    'Wallpaper_Slideshow'
  * feat: Decoupling themes and wallpapers
  * fix: 解决缩放设置失效的问题

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 13:45:49 +0800

dde-appearance (1.1.60) unstable; urgency=medium

  * fix: mark dde-fakewm requires plasma-kglobalaccel

 -- rewine <luhongxu@deepin.org>  Thu, 17 Apr 2025 11:01:26 +0800

dde-appearance (1.1.59) unstable; urgency=medium

  * feat: The configuration of GlobalThemeOverride uses JSON format

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 11 Apr 2025 11:31:54 +0800

dde-appearance (1.1.58) unstable; urgency=medium

  * fix: rename deepin-kwin to kwin (need deepin-kwin >= 6.0.0)

 -- rewine <luhongxu@deepin.org>  Wed, 09 Apr 2025 10:29:26 +0800

dde-appearance (1.1.57) unstable; urgency=medium

  * remove startdde dependency

 -- fuleyi <fuleyi@uniontech.com>  Wed, 02 Apr 2025 11:20:50 +0800

dde-appearance (1.1.56) unstable; urgency=medium

  * chore(deb): unconflict with dde-kwin

 -- rewine <luhongxu@deepin.org>  Thu, 27 Mar 2025 17:52:40 +0800

dde-appearance (1.1.55) unstable; urgency=medium

  * feat: replace using KX11Extras to get the current workspace
  * fix: when QString is empty, call QString::front() will assert
  * feat(cursor): when name is not read, fallback to id

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 27 Mar 2025 17:36:41 +0800

dde-appearance (1.1.54) unstable; urgency=medium

  * fix: no cursor theme given to kwin

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 20 Mar 2025 17:57:16 +0800

dde-appearance (1.1.53) unstable; urgency=medium

  * fix: no serif font config was generated when setting font

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 13 Mar 2025 13:33:56 +0800

dde-appearance (1.1.52) unstable; urgency=medium

  * fix: DBus local mutual call failed
  * fix: The prompt information is not internationalized(Bug: 307525)

 -- Lv Peilong <lvpeilong@uniontech.com>  Wed, 12 Mar 2025 11:05:38 +0800

dde-appearance (1.1.51) unstable; urgency=medium

  * fix: Some source files did not participate in compilation

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 07 Mar 2025 16:59:52 +0800

dde-appearance (1.1.50) unstable; urgency=medium

  * chore: adapt to qt6

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 07 Mar 2025 14:57:51 +0800

dde-appearance (1.1.49) unstable; urgency=medium

  * feat: refresh the font list when calling the list method
  * feat: Add override font to support language functionality

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 27 Feb 2025 21:56:09 +0800

dde-appearance (1.1.48) unstable; urgency=medium

  * feat: remove wallpaper slideshow
  * feat: adapt wallpaper lock
  * fix: invalid custom theme setting

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 21 Feb 2025 16:03:41 +0800

dde-appearance (1.1.47) unstable; urgency=medium

  * feat: Adapt wallpaper settings for treeland environment

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 14 Feb 2025 10:52:31 +0800

dde-appearance (1.1.46) unstable; urgency=medium

  * feat: 去掉热区的gsetting调用 (#177)
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- fuleyi <fuleyi@uniontech.com>  Thu, 16 Jan 2025 17:41:24 +0800

dde-appearance (1.1.45) unstable; urgency=medium

  * chore: change the default appearance to light

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 09 Jan 2025 19:27:21 +0800

dde-appearance (1.1.44) unstable; urgency=medium

  * feat: 去掉gnome的gsetting的调用
  * feat: 将xsetting的通过gsetting读取配置改成dconfig读取

 -- fuleyi <fuleyi@uniontech.com>  Thu, 02 Jan 2025 10:55:59 +0800

dde-appearance (1.1.43) unstable; urgency=medium

  * Revert "fix: Quickly adjusting transparency may cause it to get stuck"
  * chore: update custom theme and themethumb
  * fix: translation not effective

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 24 Dec 2024 19:47:18 +0800

dde-appearance (1.1.42) unstable; urgency=medium

  * chore: update default global theme
  * fix: active color are invalid in different global theme
  * fix: 修复系统安装完成后无法进入桌面。输入密码后一直处于加载状态

 -- fuleyi <fuleyi@uniontech.com>  Fri, 13 Dec 2024 15:22:11 +0800

dde-appearance (1.1.41) unstable; urgency=medium

  * fix: solve the problem of slow entry to the desktop

 -- Chengqi E <echengqi@uniontech.com>  Mon, 09 Dec 2024 13:30:49 +0800

dde-appearance (1.1.40) unstable; urgency=medium

  * fix: the wallpaper list may not exist

 -- zhangKun <zhangkun2@uniontech.com>  Fri, 06 Dec 2024 17:30:49 +0800

dde-appearance (1.1.39) unstable; urgency=medium

  * fix: 代码优化调整
  * fix: the theme thumbnail is empty
  * fix: teeland下不启动dde-fakewm 

 -- fuleyi <fuleyi@uniontech.com>  Fri, 29 Nov 2024 14:03:03 +0800

## dde-appearance 1.1.65

=== misc/CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

add_subdirectory(dconfig)
add_subdirectory(dbusservice)
add_subdirectory(data)
add_subdirectory(translations)
add_subdirectory(systemd)

=== misc/dconfig/CMakeLists.txt ===
set(DCONFIG_FILES
    org.deepin.dde.appearance.json
)

install(FILES ${DCONFIG_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dsg/configs/org.deepin.dde.appearance)

=== debian/changelog ===
dde-appearance (1.1.65) unstable; urgency=medium

  * chore: remove es_MX translation

 -- WuJiangYu <wujiangyu@uniontech.com>  Mon, 23 Jun 2025 17:17:04 +0800

dde-appearance (1.1.64) unstable; urgency=medium

  * refactor: improve wallpaper handling logic
  * refactor: optimize code and suppress warnings

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 21:45:36 +0800

dde-appearance (1.1.63) unstable; urgency=medium

  * fix: correct SLOT syntax to avoid QObject::connect warning

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 10:29:09 +0800

dde-appearance (1.1.62) unstable; urgency=medium

  * refactor: improve memory management and code quality

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 29 May 2025 14:46:17 +0800

## dde-appearance 1.1.67

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.16)

project(dde-appearance)

cmake_policy(SET CMP0160 OLD)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()
include(GNUInstallDirs)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Werror=return-type -fno-omit-frame-pointer -Wextra")
endif()

set(QT_VERSION_MAJOR 6)
set(DTK_VERSION_MAJOR 6)

set(TRANS_FILE_SOURCE ${CMAKE_CURRENT_SOURCE_DIR}src/service/impl/appearancemanager.cpp)
set(PLUGIN_NAME "plugin-dde-appearance")

add_subdirectory(src)
add_subdirectory(misc)
add_subdirectory(fakewm)

=== fakewm/CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

include(FindPkgConfig)
find_package(PkgConfig REQUIRED)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus Concurrent Gui)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui)
find_package(KF6Config REQUIRED)
find_package(KF6WindowSystem REQUIRED)
find_package(KF6GlobalAccel REQUIRED)

set(SRCS
  ./dbus/deepinwmfaker.h
  ./dbus/deepinwmfaker.cpp
  main.cpp
)

qt_add_dbus_adaptor(
    wm_SRCS
    ../dbus/com.deepin.wm.xml
    ./dbus/deepinwmfaker.h
    DeepinWMFaker
)

add_executable(dde-fakewm
    ${SRCS}
    ${wm_SRCS}
)

target_link_libraries(dde-fakewm
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Concurrent
    Qt${QT_VERSION_MAJOR}::Gui
    Dtk${DTK_VERSION_MAJOR}::Core
    KF6::ConfigCore
    KF6::WindowSystem
    KF6::GlobalAccel
)

install(TARGETS dde-fakewm DESTINATION ${CMAKE_INSTALL_BINDIR})

=== misc/dbusservice/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 configure_file(
   com.deepin.wm.service.in
   com.deepin.wm.service
-  ONLY
+  @ONLY
 )
 configure_file(
   org.deepin.dde.Appearance1.service.in
   org.deepin.dde.Appearance1.service
-  ONLY
+  @ONLY
 )
 
 set(DBUS_SERVICE_FILES

=== debian/changelog ===
dde-appearance (1.1.67) unstable; urgency=medium

  * refactor: remove QT theme setting functionality

 -- WuJiangYu <wujiangyu@uniontech.com>  Wed, 16 Jul 2025 10:47:50 +0800

dde-appearance (1.1.66) unstable; urgency=medium

  * fix: add hardening flags and compiler warnings

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:52:19 +0800

## dde-appearance 1.1.68

=== debian/changelog ===
dde-appearance (1.1.68) unstable; urgency=medium

  * feat: add custom lock screen wallpaper flag

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 01 Aug 2025 10:45:58 +0800

## dde-appearance 1.1.70

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

include(FindPkgConfig)
find_package(PkgConfig REQUIRED)

add_subdirectory("service")

=== misc/data/CMakeLists.txt ===
set(DATA_FILES
    custom.png
)

install(FILES ${DATA_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-appearance/)

=== misc/systemd/CMakeLists.txt ===
configure_file(
  dde-fakewm.service.in
  dde-fakewm.service
  @ONLY
)

set(SYSTEMD_SERVICE_FILES
  ${CMAKE_CURRENT_BINARY_DIR}/dde-fakewm.service
)

install(FILES ${SYSTEMD_SERVICE_FILES} DESTINATION lib/systemd/user/)

=== misc/translations/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 - 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core LinguistTools)

# can use qt_standard_project_setup(I18N_TRANSLATED_LANGUAGES xx xx) from Qt6.7
set(TRANSLATION_LANGUAGES
        af ak am_ET ar ar_EG ast az bg bn bo br ca cgg cs da de de_CH el en en_AU
        en_GB en_US eo es es_MX et eu fa fi fil fr gl_ES he hi_IN hr hu hy id it
        ja kab ka kk km_KH kn_IN ko ku ku_IQ ky ky@Arab la lo lt lv ml mn mr ms
        nb ne nl pa pam pl ps pt pt_BR ro ru sc si sk sl sq sr sv sw ta te th tr
        tzm ug uk ur uz vi zh_CN zh_HK zh_TW
)

set(TRANSLATION_FILES "")
foreach(LANG ${TRANSLATION_LANGUAGES})
    list(APPEND TRANSLATION_FILES "${CMAKE_CURRENT_SOURCE_DIR}/translations/dde-appearance_${LANG}.ts")
endforeach()

# can generate ts and qm file
qt_add_translations(${PLUGIN_NAME}
    TS_FILES ${TRANSLATION_FILES}
    SOURCES ${TRANS_FILE_SOURCE}
    LUPDATE_OPTIONS -no-obsolete -no-ui-lines -locations none
    QM_FILES_OUTPUT_VARIABLE TR_QM_FILES
)

## qm files
install(FILES ${TR_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PLUGIN_NAME}/translations)

=== src/service/CMakeLists.txt ===
--- 
+++ 
@@ -7,16 +7,13 @@
 set(CMAKE_AUTORCC ON)
 
 add_compile_options(-DQT_NO_KEYWORDS)
+set(PROJECT_NAME dde-appearance)
 
-find_package(Qt5 REQUIRED COMPONENTS Core DBus Concurrent Gui)
-find_package(DtkCore REQUIRED)
-find_package(DtkGui REQUIRED)
 find_package(PkgConfig REQUIRED)
-find_package(KF5Config REQUIRED)
-find_package(KF5WindowSystem REQUIRED)
-find_package(KF5GlobalAccel REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus Concurrent Gui)
+find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED Core Gui)
+find_package(KF6WindowSystem REQUIRED)
 
-pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
 pkg_check_modules(Gio-2.0 REQUIRED IMPORTED_TARGET gio-2.0)
 pkg_check_modules(X11 REQUIRED IMPORTED_TARGET xcursor xfixes x11)
 pkg_check_modules(GTK3 REQUIRED IMPORTED_TARGET gtk+-3.0 gdk-3.0)
@@ -26,14 +23,10 @@
 
 add_definitions(-DUSE_QT)
 
-qt5_add_dbus_adaptor(ADAPTER_SOURCES
-                     ../../dbus/org.deepin.dde.Appearance1.xml
-                     ./dbus/appearance1.h
-                     Appearance1)
-
+qt_add_dbus_adaptor(ADAPTER_SOURCES ../../dbus/org.deepin.dde.Appearance1.xml ./dbus/appearance1.h Appearance1)
 
 set(SRCS
-    ./main.cpp
+    ./plugin.cpp
     ./dbus/scaleFactors.h
     ./dbus/scaleFactors.cpp
     ./dbus/appearancedbusproxy.h
@@ -50,8 +43,6 @@
     ./impl/fsnotify.cpp
     ./impl/appearancesyncconfig.h
     ./impl/appearancesyncconfig.cpp
-    ./impl/wallpaperscheduler.h
-    ./impl/wallpaperscheduler.cpp
     ./modules/background/background.h
     ./modules/background/background.cpp
     ./modules/fonts/fontsmanager.h
@@ -94,24 +85,26 @@
     ${ADAPTER_SOURCES}
 )
 
-add_executable(dde-appearance
+add_library(${PLUGIN_NAME} MODULE
+    ${ADAPTER_SOURCES}
     ${SRCS}
 )
 
-target_link_libraries(dde-appearance
-    Qt5::Core
-    Qt5::DBus
-    Qt5::Concurrent
-    Qt5::Gui
-    PkgConfig::QGSettings
+target_link_libraries(${PLUGIN_NAME} PRIVATE
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Concurrent
+    Qt${QT_VERSION_MAJOR}::Gui
+    Dtk${DTK_VERSION_MAJOR}::Core
+    Dtk${DTK_VERSION_MAJOR}::Gui
     PkgConfig::Gio-2.0
     PkgConfig::GTK3
     PkgConfig::X11
     PkgConfig::XCB
     PkgConfig::OPENSSL
     PkgConfig::FONTCONFIG
-    ${DtkCore_LIBRARIES}
-    ${DtkGui_LIBRARIES}
+    KF6::WindowSystem
 )
-
-install(TARGETS dde-appearance DESTINATION ${CMAKE_INSTALL_BINDIR})
+include(GNUInstallDirs)
+install(TARGETS ${PLUGIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
+install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/plugin-dde-appearance.json DESTINATION share/deepin-service-manager/user/)

=== debian/changelog ===
dde-appearance (1.1.70) unstable; urgency=medium

  * docs: add GPLv3 license and update license references

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:03:39 +0800

dde-appearance (1.1.69) unstable; urgency=medium

  * refactor: update key names to camelCase in accelerator map

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 28 Aug 2025 14:36:24 +0200

=== debian/control ===
Source: dde-appearance
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9),
   cmake,
   pkg-config,
   qt6-base-dev,
   qt6-tools-dev-tools,
   libdtk6core-dev,
   libdtk6gui-dev,
   libpolkit-qt6-1-dev,
   libgdk-pixbuf2.0-0,
   libglib2.0-dev,
   libxcursor-dev,
   libgtk-3-dev,
   libxcb1-dev,
   libxcb-cursor-dev,
   libxcb-randr0-dev,
   libxcb-render0-dev,
   libssl-dev,
   libkf6globalaccel-dev,
   libkf6windowsystem-dev,
   libkf6config-dev,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-appearance
Architecture: any
Depends:
   dde-daemon (>= 6.1.26),
   ${misc:Depends},
   ${shlibs:Depends},
   deepin-service-manager,
Description: deepin desktop-environment - dde-appearance module
 dde appearance Provides application resource management and control services for the dde desktop environment.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E

%:
	dh $@ --buildsystem=cmake

## dde-appearance 1.1.71

=== debian/changelog ===
dde-appearance (1.1.71) unstable; urgency=medium

  * fix: add Hei_MSCS font for Traditional Chinese locales

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 30 Oct 2025 20:17:54 +0800
